Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class WebListenerAnnotation

    java.lang.Object
      org.eclipse.jetty.webapp.DiscoveredAnnotation
          org.eclipse.jetty.annotations.WebListenerAnnotation

    public class WebListenerAnnotation

extends DiscoveredAnnotation

WebListenerAnnotation

Field Summary

Fields inherited from class org.eclipse.jetty.webapp.DiscoveredAnnotation
`_className, _clazz, _context`

Constructor Summary
`WebListenerAnnotation(WebAppContext context, java.lang.String className)`

Method Summary
`void` | `apply()`

Methods inherited from class org.eclipse.jetty.webapp.DiscoveredAnnotation
`getTargetClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebListenerAnnotation

    public WebListenerAnnotation(WebAppContext context,
                                 java.lang.String className)

Parameters:
  `context` -
  `className` -

Method Detail

### apply

    public void apply()

  Specified by:
    `apply` in class `DiscoveredAnnotation`
  See Also:
    `org.eclipse.jetty.annotations.ClassAnnotation#apply()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.